summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohn Helmert III <ajak@gentoo.org>2021-07-23 22:06:44 -0500
committerJohn Helmert III <ajak@gentoo.org>2021-07-23 22:06:44 -0500
commitb371cff35122b7102400d4efc7c8c5e0e7ec46d0 (patch)
tree1630875a1a3a95e8b19bb77dd50cffd7dbd6d96e
parent[ GLSA 202107-52 ] Apache Velocity: Multiple vulnerabilities (diff)
downloadglsa-b371cff35122b7102400d4efc7c8c5e0e7ec46d0.tar.gz
glsa-b371cff35122b7102400d4efc7c8c5e0e7ec46d0.tar.bz2
glsa-b371cff35122b7102400d4efc7c8c5e0e7ec46d0.zip
[ GLSA 202107-53 ] Leptonica: Multiple vulnerabilities
Signed-off-by: John Helmert III <ajak@gentoo.org>
-rw-r--r--glsa-202107-53.xml50
1 files changed, 50 insertions, 0 deletions
diff --git a/glsa-202107-53.xml b/glsa-202107-53.xml
new file mode 100644
index 0000000..5b93e89
--- /dev/null
+++ b/glsa-202107-53.xml
@@ -0,0 +1,50 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE glsa SYSTEM "http://www.gentoo.org/dtd/glsa.dtd">
+<glsa id="202107-53">
+ <title>Leptonica: Multiple vulnerabilities</title>
+ <synopsis>Multiple vulnerabilities have been found in Leptonica, the worst of
+ which could result in a Denial of Service condition.
+ </synopsis>
+ <product type="ebuild">leptonica</product>
+ <announced>2021-07-24</announced>
+ <revised count="3">2021-07-24</revised>
+ <bug>775629</bug>
+ <access>remote</access>
+ <affected>
+ <package name="media-libs/leptonica" auto="yes" arch="*">
+ <unaffected range="ge">1.80.0</unaffected>
+ <vulnerable range="lt">1.80.0</vulnerable>
+ </package>
+ </affected>
+ <background>
+ <p>Leptonica is a C library for image processing and analysis.</p>
+ </background>
+ <description>
+ <p>Multiple vulnerabilities have been discovered in Leptonica. Please
+ review the CVE identifiers referenced below for details.
+ </p>
+ </description>
+ <impact type="low">
+ <p>Please review the referenced CVE identifiers for details.</p>
+ </impact>
+ <workaround>
+ <p>There is no known workaround at this time.</p>
+ </workaround>
+ <resolution>
+ <p>All Leptonica users should upgrade to the latest version:</p>
+
+ <code>
+ # emerge --sync
+ # emerge --ask --oneshot --verbose "&gt;=media-libs/leptonica-1.80.0"
+ </code>
+ </resolution>
+ <references>
+ <uri link="https://nvd.nist.gov/vuln/detail/CVE-2020-36277">CVE-2020-36277</uri>
+ <uri link="https://nvd.nist.gov/vuln/detail/CVE-2020-36278">CVE-2020-36278</uri>
+ <uri link="https://nvd.nist.gov/vuln/detail/CVE-2020-36279">CVE-2020-36279</uri>
+ <uri link="https://nvd.nist.gov/vuln/detail/CVE-2020-36280">CVE-2020-36280</uri>
+ <uri link="https://nvd.nist.gov/vuln/detail/CVE-2020-36281">CVE-2020-36281</uri>
+ </references>
+ <metadata tag="requester" timestamp="2021-07-24T02:43:34Z">ajak</metadata>
+ <metadata tag="submitter" timestamp="2021-07-24T03:05:56Z">ajak</metadata>
+</glsa>